---
title: "Create a new Product or Service | Nuvio Docs"
description: "Creates a new product or service"
url: https://nuvio.io/docs/api/create-product
---

# Create a new Product or Service

POST `/v1/product-services`

Needs an API key with the [`write`](https://nuvio.io/docs/api/authentication#scopes) scope.

## Parameters

-   `name` string Required

    A user-generated custom code for this product or service

## More parameters

-   `productCode` string

    Name of the product or service

-   `taxes` array of strings

    A list of the default taxes to be added to when the product is selected in the Nuvio Platform. Provide a list of taxes with their 32-character unique ID.

## Returns

The created product or service.

`401`

No usable `Authorization: Bearer {token}` header (1002).

`403`

The access token is unknown, or lacks the scope this route needs (1001).

POST /v1/product-services

```
curl -X POST https://api.nuvio.io/v1/product-services \
  -H "Authorization: Bearer $NUVIO_API_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Acme Supplies"
  }'
```

Response

```
{
  "success": true,
  "errors": null,
  "data": {
    "id": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
    "code": "ACME-01",
    "name": "Acme Supplies",
    "taxes": [
      {
        "taxId": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
        "taxName": "Acme Supplies"
      }
    ]
  }
}
```
